{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Launch Program",
            "program": "${workspaceFolder}/retriever/index.js",
            "request": "launch",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "envFile": "${workspaceFolder}/retriever/.env", 
            "cwd": "${workspaceFolder}/retriever/",
            "type": "node"
        },
        {
            "name": "Python Debugger: Current File",
            "type": "debugpy",
            "request": "launch",
            "program": "${file}",
            "justMyCode": false,
            "console": "integratedTerminal"
        },
        {
            "name": "Python:Streamlit",
            "type": "debugpy",
            "request": "launch",
            "module": "streamlit",
            "justMyCode": false,
            "args": [
                "run",
                "rag_system/app/streamlit_app.py",
            ]
        },
        {
            "name": "Python Debugger: crawler",
            "type": "debugpy",
            "request": "launch",
            "program": "rag_system/crawler.py",
            "console": "integratedTerminal",
            "justMyCode": false
        }
    ]
}